HQLQueryPlan (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class HQLQueryPlan

    java.lang.Object
      org.hibernate.engine.query.spi.HQLQueryPlan

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FilterQueryPlan

    public class HQLQueryPlan

extends Object
implements Serializable

Defines a query execution plan for an HQL query (or filter).

See Also:
  Serialized Form

Constructor Summary
`` | `HQLQueryPlan(String hql, boolean shallow, Map enabledFilters, SessionFactoryImplementor factory)`
`protected` | `HQLQueryPlan(String hql, String collectionRole, boolean shallow, Map enabledFilters, SessionFactoryImplementor factory)`

Method Summary
`Class` | `getDynamicInstantiationResultType()`
`Set` | `getEnabledFilterNames()`
`ParameterMetadata` | `getParameterMetadata()`
`Set` | `getQuerySpaces()`
`ReturnMetadata` | `getReturnMetadata()`
`String` | `getSourceQuery()`
`String[]` | `getSqlStrings()`
`QueryTranslator[]` | `getTranslators()`
`Set` | `getUtilizedFilterNames()`
`boolean` | `isShallow()`
`int` | `performExecuteUpdate(QueryParameters queryParameters, SessionImplementor session)`
`Iterator` | `performIterate(QueryParameters queryParameters, EventSource session)`
`List` | `performList(QueryParameters queryParameters, SessionImplementor session)`
`ScrollableResults` | `performScroll(QueryParameters queryParameters, SessionImplementor session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HQLQueryPlan

    public HQLQueryPlan(String hql,
                        boolean shallow,
                        Map enabledFilters,
                        SessionFactoryImplementor factory)

### HQLQueryPlan

    protected HQLQueryPlan(String hql,
                           String collectionRole,
                           boolean shallow,
                           Map enabledFilters,
                           SessionFactoryImplementor factory)

Method Detail

### getSourceQuery

    public String getSourceQuery()

### getQuerySpaces

    public Set getQuerySpaces()

### getParameterMetadata

    public ParameterMetadata getParameterMetadata()

### getReturnMetadata

    public ReturnMetadata getReturnMetadata()

### getEnabledFilterNames

    public Set getEnabledFilterNames()

### getSqlStrings

    public String[] getSqlStrings()

### getUtilizedFilterNames

    public Set getUtilizedFilterNames()

### isShallow

    public boolean isShallow()

### performList

    public List performList(QueryParameters queryParameters,
                            SessionImplementor session)
                     throws HibernateException

  Throws:
    `HibernateException`

### performIterate

    public Iterator performIterate(QueryParameters queryParameters,
                                   EventSource session)
                            throws HibernateException

  Throws:
    `HibernateException`

### performScroll

    public ScrollableResults performScroll(QueryParameters queryParameters,
                                           SessionImplementor session)
                                    throws HibernateException

  Throws:
    `HibernateException`

### performExecuteUpdate

    public int performExecuteUpdate(QueryParameters queryParameters,
                                    SessionImplementor session)
                             throws HibernateException

  Throws:
    `HibernateException`

### getTranslators

    public QueryTranslator[] getTranslators()

### getDynamicInstantiationResultType

    public Class getDynamicInstantiationResultType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.